Skip to main content
GET
/
v1
/
short-urls
/
{id}
Get short URL
curl --request GET \
  --url https://api.oneofnone.io/v1/short-urls/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": 123,
  "url": "<string>",
  "collection_id": "<string>",
  "created_at": "<string>",
  "token_id": 123,
  "registration_id": "<string>",
  "title": "<string>",
  "qr_code": "<string>",
  "destination_url": "<string>",
  "layout_id": "<string>",
  "registration_settings": {},
  "metadata": {},
  "updated_at": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Query Parameters

include_collection
boolean

Response

Successful response

id
number
required
url
string
required
collection_id
string
required
created_at
string
required
token_id
number | null
registration_id
string | null
title
string | null
qr_code
string | null
destination_url
string | null
layout_id
string | null
registration_settings
object
metadata
object
updated_at
string | null